Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Xt / Motif OpenGL widgets
Name: 		mesa-libGLw
Version: 	6.5.1
Release: 	1
Epoch:		1
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.mesa3d.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source0: 	http://dl.sourceforge.net/sourceforge/mesa3d/MesaLib-%{version}.tar.bz2
Patch0: 	mesa-6.5-build-config.patch
Patch1: 	mesa-6.5.1-libGLw.patch

BuildRequires: 	libXt-devel
BuildRequires: 	libGL-devel
BuildRequires: 	openmotif-devel

Provides: 	libGLw

%description
Mesa libGLw runtime library

%package devel
Summary: 	Mesa libGLw development package
Group: 		Development/Libraries
Requires: 	%{name} = %{epoch}:%{version}-%{release}
Requires: 	libGL-devel
Requires: 	openmotif-devel
Provides: 	libGLw-devel

%description devel
Mesa libGLw development package

%prep
%setup -q -n Mesa-%{version}

%patch0 -p0 -b .build-config
%patch1 -p1 -b .motif

# WARNING: The following files are copyright "Mark J. Kilgard" under the GLUT
# license and are not free software (but redistributable), so we remove them.
rm include/GL/uglglutshapes.h

%build

make OPT_FLAGS="$RPM_OPT_FLAGS" LIB_DIR=%{_lib} linux

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_DIR=$RPM_BUILD_ROOT%{_prefix} LIB_DIR=%{_lib}

%clean
rm -rf $RPM_BUILD_ROOT

%check

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc src/glw/README
%{_libdir}/libGLw.so.1
%{_libdir}/libGLw.so.1.0.0

%files devel
%defattr(-,root,root,-)
%{_libdir}/libGLw.so
%{_includedir}/GL/GLwDrawA.h
%{_includedir}/GL/GLwDrawAP.h
%{_includedir}/GL/GLwMDrawA.h
%{_includedir}/GL/GLwMDrawAP.h

%changelog
* Sat Jan 05 2008 Christian Metzen <metzench@ccux-linux.de> 6.5.1-1
- Split libGLw out from Mesa.
